Subject: bug#37892: 27.0.50; Crash when signaling a thread

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 05 Dec 2021 04:15:07 +0100

Michał Krzywkowski <[email-masked]> writes:

> When I evaluate this sexp, Emacs aborts:
>
>   (let ((thread (make-thread (lambda () (sit-for 1.0)))))
>     (sit-for 0.5)
>     (thread-signal thread 'error nil))

I can reproduce this in Emacs 27.1, but not in Emacs 28, so it seems
like this has been fixed, and I'm closing this bug report.  If the
problem is still present in Emacs 28, please respond to the debbugs
address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no